import datetime

import pytest

from larigira.timegen_cron import CronAlarm


@pytest.fixture
def a_time():
    return datetime.datetime(2019, 8, 6, 10, 42, 0)


def CA(fmt):
    return CronAlarm(dict(cron_format=fmt))


def test_valid_cron_format():
    CA("* * * * *")


def test_valid_cron_format_six():
    CA("* * * * * *")


def test_never_equal(a_time):
    c = CA("* * * * *")
    nt = c.next_ring(a_time)
    assert nt.minute != a_time.minute
